### Method

# Pango.Font.get_features

#### Declaration [src]

    void
    pango_font_get_features (
      PangoFont* font,
      hb_feature_t* features,
      guint len,
      guint* num_features
    )

#### Description [src]

Obtain the OpenType features that are provided by the font.

These are passed to the rendering system, together with features that have been explicitly set via attributes.

Note that this does not include OpenType features which the rendering system enables by default.

#### Parameters

`features` | An array of `hb_feature_t`
| Array to features in
| Direction: out
| The length of the array is in the `len` argument
| Ownership is not transferred to the callee
`len` | `guint`
| the length of `features`
| Direction: out
`num_features` | `guint*`
| the number of used items in `features`
| Direction: in-out
| Ownership of the data is transferred to the callee